﻿// $Header: $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.
using System;
using System.Windows.Forms;
using OpcLabs.EasyOpc.DataAccess;

namespace ValueToMessageBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // ReSharper disable InconsistentNaming
        private void button1_Click(object sender, EventArgs e)
        // ReSharper restore InconsistentNaming
        {
            // Create EasyOPC-DA component
            var client = new EasyDAClient();

            // Read item value and display it in a message box
            object value = client.ReadItemValue("", "OPCLabs.KitServer.2", "Demo.Single");
            if (value != null) 
                MessageBox.Show(value.ToString());
        }
    }
}
